Open SCAP Library: Data Structures

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:
[detail level 12]

C __attribute__ |
C __dbginf_t |
C __fprintfa_t |
C __IDres_pair |
C __thr_collection |
C _DBus8ByteStruct |
C _DBusBasicValue |
C _ftsent |
C _interpret_map |
C _lnode |
C _oresults |
C _oval_collection_item_frame |
C _oval_variable_model_frame |
C _xccdf_text_substitution_data |
C bitmap_t |
C cbargs |
C cce | Structure holding CCE entries
C cce_entry | Structure holding single CCE entry data
C cce_entry_iterator | Iterator over CCE entries
C cce_reference | Structure holding a CCE reference
C cce_reference_iterator | Iterator over CCE references
C check_engine_plugin_def |
C cpe23_item |
C cpe_check | Structure representing single CPE check
C cpe_check_cb_usr |
C cpe_check_iterator | Iterator over CPE dictionary checks
C cpe_dict_model | Structure representing a CPE dictionary
C cpe_edition | Edition of product update
C cpe_edition_iterator | Iterator over CPE dictionary item editions
C cpe_ext_deprecatedby |
C cpe_ext_deprecation |
C cpe_generator | Structure with information about document
C cpe_item | Structure representing single CPE dictionary item
C cpe_item_iterator | Iterator over CPE dictionary items
C cpe_item_metadata | Structure representing metadata of CPE item
C cpe_lang_model | CPE platform specification
C cpe_language | Language of product edition
C cpe_language_iterator | Iterator over CPE dictionary item languages
C cpe_name | Structure holding Common Platform Enumeration URI data
C cpe_parser_ctx |
C cpe_platform | Single platform representation in CPE language
C cpe_platform_iterator | Iterator over CPE dictionary items
C cpe_product | Product of some vendor
C cpe_product_iterator | Iterator over CPE dictionary item products
C cpe_reference | CPE dictionary item reference
C cpe_reference_iterator | Iterator over CPE dictionary references
C cpe_session |
C cpe_testexpr | CPE language boolean expression
C cpe_testexpr_iterator | Iterator over CPE language expressions
C cpe_update | Update of product version
C cpe_update_iterator | Iterator over CPE dictionary item updates
C cpe_vendor | Structure with information about vendor
C cpe_vendor_iterator | Iterator over CPE dictionary item vendors
C cpe_version | Version of product
C cpe_version_iterator | Iterator over CPE dictionary item versions
C ctxt |
C cve_configuration | Structure CVE vulnerable configuration data
C cve_configuration_iterator | Iterator over CVE vulnerable configurations
C cve_entry | Structure holding CVE entry data
C cve_entry_iterator | Iterator over CVE entries
C cve_list | Cve_list is the top level element of the CVE List provided by MITRE
C cve_model | Structure holding CVE model
C cve_product | Structure holding CVE product data
C cve_product_iterator | Iterator over CVE products
C cve_reference | Structure holding CVE reference data
C cve_reference_iterator | Iterator over CVE references
C cve_summary | Structure holding CVE summary data
C cve_summary_iterator | Iterator over CVE summaries
C cvss_impact | CVSS impact
C cvss_keytab_entry |
C cvss_metrics | CVSS metrics
C cvss_valtab_entry |
C cwe_entry | Structure holding CWE data
C dbEngineMap_t |
C dbURIInfo_t |
C digest_ctbl_t |
C dpkginfo_global |
C dpkginfo_reply_t |
C ds_rds_session |
C ds_sds_index | Represents <data-stream-collection> element - the root element of each source datastream
C ds_sds_session |
C ds_stream_index | Contains information about one particular "<data-stream>" element in the datastream collection (also called SDS = source datastream)
C ds_stream_index_iterator |
C err_queue |
C fsdev_t | Filesystem device structure
C FTS |
C id_desc_t | Holds information for item ids generation
C interface_t |
C llist |
C oresults |
C oscap_buffer | Buffer with unlimited length contains:
C oscap_err_t |
C oscap_file_entry |
C oscap_file_entry_iterator |
C oscap_file_entry_list |
C oscap_htable |
C oscap_htable_item |
C oscap_htable_iterator |
C oscap_iterator |
C oscap_list |
C oscap_list_item |
C oscap_reference |
C oscap_schema_table_entry |
C oscap_source |
C oscap_string_iterator | String iterator
C oscap_string_map | Define mapping between symbolic constant and its string representation
C oscap_stringlist | A collection of strings
C oscap_stringlist_iterator | Iterator over collections of strings
C oscap_text | Representation of internationalizable character strings
C oscap_text_iterator | Internationalized string iterator
C oscap_text_traits | Oscap_text traits
C oscap_tsort_context |
C oval_affected | Each OVAL Definition specifies certain type of affected system(s)
C oval_affected_iterator |
C oval_agent_session |
C oval_argu_t |
C oval_behavior | OVAL behavior
C oval_behavior_iterator |
C oval_collection |
C oval_component | OVAL variable component Oval_component instances specify evaluation constraints on local variables (see oval_variable_get_type)
C oval_component_ARITHMETIC |
C oval_component_BEGEND |
C oval_component_FUNCTION |
C oval_component_GLOB |
C oval_component_iterator |
C oval_component_LITERAL |
C oval_component_OBJECTREF |
C oval_component_REGEX_CAPTURE |
C oval_component_SPLIT |
C oval_component_SUBSTRING |
C oval_component_TIMEDIF |
C oval_component_VARREF |
C oval_consume_varref_context |
C oval_content_resource |
C oval_criteria_node | Specify oval_definition dependencies
C oval_criteria_node_CRITERIA |
C oval_criteria_node_CRITERION |
C oval_criteria_node_EXTENDDEF |
C oval_criteria_node_iterator |
C oval_definition | Oval definition specification
C oval_definition_iterator |
C oval_definition_model | Oval definition model
C oval_directives_model | This structure holds instance of OVAL Directives
C oval_entity | OVAL entity
C oval_entity_iterator |
C oval_filter | OVAL filter
C oval_filter_iterator |
C OVAL_FTS |
C OVAL_FTSENT |
C oval_generator |
C oval_iterator |
C oval_message | OVAL message
C oval_message_iterator |
C oval_object | An Oval_object instance describes a set of items to look for on an instrumented host platform
C oval_object_content | An Oval_object_content instance specifies an oval_object field
C oval_object_content_ENTITY |
C oval_object_content_FILTER |
C oval_object_content_iterator |
C oval_object_content_SET |
C oval_object_iterator |
C oval_parser_context |
C oval_pd_t |
C oval_pdsc |
C oval_pdtbl_t |
C oval_pext |
C oval_ph |
C oval_phtbl |
C oval_probe_meta_t |
C oval_probe_session | OVAL probe session structure
C oval_record_field |
C oval_record_field_ITEM |
C oval_record_field_iterator |
C oval_record_field_STATE |
C oval_reference | An Oval_reference links an Oval_definition to a definitive external reference
C oval_reference_iterator |
C oval_result_criteria_node |
C oval_result_criteria_node_CRITERIA |
C oval_result_criteria_node_CRITERION |
C oval_result_criteria_node_EXTENDDEF |
C oval_result_criteria_node_iterator |
C oval_result_definition |
C oval_result_definition_iterator |
C oval_result_directives | This structure holds instance of either OVAL Default Directives or OVAL Class directives
C oval_result_item |
C oval_result_item_iterator |
C oval_result_system |
C oval_result_system_iterator |
C oval_result_test |
C oval_result_test_iterator |
C oval_result_to_xccdf_spec | Specification of structure for transformation of OVAL Result type to XCCDF result type
C oval_results_model | OVAL Results Model holds OVAL results structure instances
C oval_schema_version_t |
C oval_session | A structure encapsulating the context of OVAL operations
C oval_set_AGGREGATE |
C oval_set_COLLECTIVE |
C oval_set_context |
C oval_setobject | OVAL set object
C oval_setobject_iteraor |
C oval_smc_iterator |
C oval_state | An Oval_state instance is a collection of one or more characteristics pertaining to a specific object type
C oval_state_content | An Oval_state_content instance specifies an oval_state field
C oval_state_content_iterator |
C oval_state_iterator |
C oval_status_counter |
C oval_string_iterator |
C oval_subtypedsc_t |
C oval_syschar | Characteristics bound to an Oval_object
C oval_syschar_iterator |
C oval_syschar_model | OVAL System Characteristics model
C oval_syschar_parse_subtag_varval_context |
C oval_sysent |
C oval_sysent_iterator |
C oval_sysinfo | General instrumented host description
C oval_sysinfo_iterator |
C oval_sysint | Network interface description
C oval_sysint_iterator |
C oval_sysitem | Each instance of Oval_sysitem represents one item
C oval_sysitem_iterator |
C oval_test | An Oval_test specifies a technical control by identifying an oval_object that is evaluated on an instrumented host platform and, optionally, an Oval_state instance that matches the object query
C oval_test_iterator |
C oval_value | OVAL object or item entity value
C oval_value_iterator |
C oval_variable | An oval variable resolves an oval_value stream which specifies constraints for oval_object s and oval_state s
C oval_variable_binding | Binding of an value to an OVAL variable
C oval_variable_binding_iterator |
C oval_variable_CONSTANT_t |
C oval_variable_EXTERNAL_t |
C oval_variable_iterator |
C oval_variable_LOCAL_t |
C oval_variable_model | The OVAL variable model facilitates access to external variable value bindings used to to constrain the evaluation of OVAL objects
C oval_variable_model_iterator |
C oval_variable_possible_restriction |
C oval_variable_possible_value |
C oval_variable_restriction |
C oval_variable_UNKNOWN_t |
C pfdata |
C probe_citem_t |
C probe_ctx |
C probe_elmatr_t |
C probe_icache_t |
C probe_iqpair_t |
C probe_ncache_t | Element name cache structure
C probe_option_t |
C probe_pwpair_t |
C probe_rcache_t | Probe cache structure
C probe_t |
C probe_varref_ctx |
C probe_varref_ctx_ent |
C probe_worker_t |
C proc_memusage |
C rbt |
C rbt_i32_node |
C rbt_i64_node |
C rbt_node | Generic node structure Lowest bit of _chld[0] holds the color bit
C rbt_str_node |
C rds_asset_index |
C rds_asset_index_iterator |
C rds_index | Represents <asset-report-collection> element - the root element of each result datastream in Asset Reporting Format = ARF
C rds_report_index |
C rds_report_index_iterator |
C rds_report_request_index |
C rds_report_request_index_iterator |
C reporter |
C result_info |
C route_info |
C rpminfo_global |
C rpminfo_rep |
C rpminfo_req |
C rpmverify_bhmap_t |
C rpmverify_global |
C rpmverify_res |
C rpmverifyfile_bhmap_t |
C rpmverifypackage_bhmap_t |
C runlevel_rep |
C runlevel_req |
C sce_check_result |
C sce_check_result_iterator | Iterator over collections of sce_check_results
C sce_parameters |
C sce_session |
C sch_consdata_t |
C sch_genericdata_t |
C sch_pipedata_t |
C SEAP_attr |
C SEAP_cmd |
C SEAP_cmdjob_t |
C SEAP_cmdrec_t |
C SEAP_cmdtbl_t |
C SEAP_CTX |
C SEAP_desc_t |
C SEAP_desctable_t |
C SEAP_err |
C SEAP_msg |
C SEAP_packet |
C SEAP_packetq_item |
C SEAP_packetq_t |
C SEAP_schemefn_t |
C SEAP_synchelper |
C server_info |
C SEXP |
C SEXP_datatype |
C SEXP_datatype_extptr |
C SEXP_datatype_ops |
C SEXP_datatypeTbl |
C SEXP_list_it |
C SEXP_lstack_t |
C SEXP_ostate |
C SEXP_pext_dsc |
C SEXP_psetup |
C SEXP_pstate |
C SEXP_val_lblk |
C SEXP_val_list |
C SEXP_val_t |
C spb_item_t |
C spb_t |
C strblk |
C strbuf_t |
C sys_memusage |
C tty_map_node |
C unit_callback_vars |
C val_col_lst_s |
C xccdf_attribute_spec |
C xccdf_backref |
C xccdf_benchmark | Top level XCCDF structure containing profiles, rules, values and results
C xccdf_benchmark_item |
►C xccdf_check | XCCDF simple or complex check
C _xccdf_check_flags |
C xccdf_check_content_ref | XCCDF check content reference
C xccdf_check_content_ref_iterator | Check content references iterator
C xccdf_check_export | XCCDF check export
C xccdf_check_export_iterator | Check export iterator
C xccdf_check_import | XCCDF check import
C xccdf_check_import_iterator | Check import iterator
C xccdf_check_iterator | Check iterator
C xccdf_default_score | XCCDF Default score structure represents Default XCCDF Score model for each rule
C xccdf_defflags |
C xccdf_element_spec |
C xccdf_fix | XCCDF automatic fix
C xccdf_fix_iterator | Fix iterator
C xccdf_fixtext | XCCDF textual fix instructions
C xccdf_fixtext_iterator | Textual fix iterator
C xccdf_flags |
C xccdf_flat_score | XCCDF Flat score structure represents Flat XCCDF Score model for each rule
C xccdf_group | XCCDF rule group
C xccdf_group_item |
C xccdf_ident | XCCDF rule ident URI
C xccdf_ident_iterator | Ident iterator
C xccdf_identity | XCCDF identity
C xccdf_identity_iterator | Reference iterator
C xccdf_instance | XCCDF instance
C xccdf_instance_iterator | Instance iterator
C xccdf_item | A base class for XCCDF items
C xccdf_item_base |
C xccdf_item_iterator | String iterator
C xccdf_message | XCCDF message
C xccdf_message_iterator | Message iterator
C xccdf_model | XCCDF scoring model
C xccdf_model_iterator | Model iterator
C xccdf_notice | XCCDF benchmark legal notice
C xccdf_notice_iterator | Notice iterator
C xccdf_override | XCCDF override
C xccdf_override_iterator | Override iterator
C xccdf_plain_text | XCCDF target fact
C xccdf_plain_text_iterator | Plain text iterator
C xccdf_policy | XCCDF policy structure is abstract (class) structure of Profile element from benchmark
C xccdf_policy_engine |
C xccdf_policy_iterator | Iterate through policies
C xccdf_policy_model | XCCDF policy model structure contains xccdf_benchmark as reference to Benchmark element in XML file and list of policies that are abstract structure of Profile element from benchmark file
C xccdf_profile | XCCDF profile is a set of tests and their settings in a compact package
C xccdf_profile_item |
C xccdf_profile_iterator | Profile iterator
C xccdf_profile_note | XCCDF note for given rule in context of given profile
C xccdf_profile_note_iterator | Profile note iterator
C xccdf_refine_rule | XCCDF refine rule option used in the profile
C xccdf_refine_rule_internal |
C xccdf_refine_rule_iterator | Refine rule iterator
C xccdf_refine_value | XCCDF refine value option used in the profile
C xccdf_refine_value_iterator | Refine value iterator
C xccdf_result | Actual results of running a XCCDF test or profile
C xccdf_result_item |
C xccdf_result_iterator | Result iterator
C xccdf_rule | XCCDF rule defines a test execution
C xccdf_rule_item |
C xccdf_rule_result | XCCDF rule result
C xccdf_rule_result_iterator | Override iterator
C xccdf_score | XCCDF score
C xccdf_score_iterator | Override iterator
C xccdf_select | XCCDF select option usen in the profile
C xccdf_select_iterator | Select iterator
C xccdf_session | A structure encapsulating the context of XCCDF operations
C xccdf_setvalue | XCCDF set value option used in the profile
C xccdf_setvalue_iterator | Set value iterator
C xccdf_status | XCCDF item status
C xccdf_status_iterator | Status iterator
C xccdf_tailoring | Stores content from xccdf:Tailoring element which can be loaded from a separate file
C xccdf_target_fact | XCCDF target fact
C xccdf_target_fact_iterator | Override iterator
C xccdf_target_identifier | Can be either <target-id-ref> or some other element
C xccdf_target_identifier_iterator | Override iterator
C xccdf_value | XCCDF Value allows test parametrization or capturing output of tests
C xccdf_value_binding | XCCDF value binding structure is binding between Refine values, Set values, Value element and Check export element of benchmark
C xccdf_value_instance |
C xccdf_value_instance_iterator | Value instance iterator
C xccdf_value_item |
C xccdf_value_iterator | Select iterator
C xccdf_version_info |
C xccdf_warning | XCCDF warning
C xccdf_warning_iterator | Warning iterator
C xiconf_attr |
C xiconf_file_t |
C xiconf_service |
C xiconf_strans_t |
C xiconf_t |